//Base slterra sky (ydnar)
textures/kingdom/kingdomskybis
{
	qer_editorimage textures/pr/kingdomskyfix.jpg

	q3map_backsplash 0 0
	q3map_sunExt 248 232 190 450 130 55 3 16
	q3map_skylight 325 3
	q3map_lightRGB 248 232 190
	q3map_lightmapFilterRadius 0 64
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	
	skyparms env/kingdomsky3/kingdomsky3 512 -
	
	nopicmip
	nomipmaps
	
	{
		map env/kingdomsky3/kingdomskyclouds3.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/null_beach/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

//herbesmodel
textures/runy8/runherbemodel002
{     
	  cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  surfaceparm trans

        {
                map textures/runy8/runherbemodel002.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


textures/runy8/runherbemodel003
{
  
	  cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  surfaceparm trans

        {
                map textures/runy8/runherbemodel003.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

//---------------------------------------------

textures/pr/drap_lion
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/pr/drap_lion.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}



textures/pr/drap_sanglier
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
        tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
            //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/pr/drap_sanglier.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}


//grille new
textures/pr/grille01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	//surfaceparm nonsolid
	//surfaceparm nomarks
	nopicmip 
	nomipmaps

	{ 
   		
            map textures/pr/grille01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}


textures/pr/objet_torche3
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/objet_torche3.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}




textures/pr/prot01
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/prot01.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}


textures/pr/balc1
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow

        {
                map textures/pr/balc1.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
                
        }
}


//liquids
textures/liquids/clear_ripple3
	{
		qer_editorimage textures/liquids/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}


//liquids
textures/ut_prague/waterfall
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/waterfall.tga
                tcMod Scroll .5 4      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}

textures/ut_prague/fs_rain2
{
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_prague/fs_rain2.tga
                tcMod Scroll .3 2      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}



//branche_vert
models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
      deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//branche_rouge
models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow
      deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}



models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/green_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}


models/mapobjects/br_flowers/carnation_1
{
	qer_editorimage models/mapobjects/br_flowers/carnation_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/carnation_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}



models/mapobjects/br_flowers/purpleflowers_2
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/purpleflowers_2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}


models/mapobjects/br_flowers/rose_2
{
	qer_editorimage models/mapobjects/br_flowers/rose_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/rose_2.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}


models/mapobjects/br_flowers/tulip_1
{
	qer_editorimage models/mapobjects/br_flowers/tulip_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/tulip_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}



models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
}



models/mapobjects/br_flowers/whiteflowers_1
{
	qer_editorimage models/mapobjects/br_flowers/whiteflowers_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_flowers/whiteflowers_1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
	}
	
}

//-------------------

//Guirlande
textures/pr2/fete01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps

	{ 
   		
            map textures/pr2/fete01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}


//Lierre2
textures/pr2/lierre02
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
      deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		
            map textures/pr2/lierre02.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 

}

//Lierre3
textures/pr2/lierre03
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
      deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		
            map textures/pr2/lierre03.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 

}


//Lierre4
textures/pr2/lierre04
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
      deformVertexes wave 50 sin 0 .3 0 .3
	{ 
   		
            map textures/pr2/lierre04.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 

}


textures/pr2/coro1
{
	deformVertexes autoSprite
	q3map_surfacelight 200
	q3map_lightRGB 1 0 0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
      {
      	clampmap textures/pr2/coro1.jpg
            blendFunc GL_ONE GL_ONE
	}
}

textures/common/invisible
{
	surfaceparm nolightmap			
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/pr2/hologlass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pr2/hologlass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

textures/pr2/hologlass02
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pr2/hologlass02.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}


textures/pr2/hologlass03
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/pr2/hologlass03.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}


//drapeau lion long
textures/pr2/draplionlong01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
      sort banner


	{ 
   		
            map textures/pr2/draplionlong01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}


//drapeau sanglier long
textures/pr2/drapsanglierlong01
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
      sort banner

	{ 
   		
            map textures/pr2/drapsanglierlong01.tga
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}

//-------
//liquids fontaine
//-------

textures/pr2/eaufontaine01
	{
		qer_editorimage textures/pr2/eaufontaine01.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/pr2/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/pr2/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/pr2/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}
